package com.bcxin.auth.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 数据同步部级接口配置
 * 
 * @author bcxin
 */
@Component
@ConfigurationProperties(prefix = "ministerial")
public class MinisterialConfig
{
    private static String signature;

    private static String accountId;

    private static String orgCode;

    private static String orgName;

    private static String password;

    private static String serviceAddress;

    public static String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        MinisterialConfig.signature = signature;
    }

    public static String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        MinisterialConfig.accountId = accountId;
    }

    public static String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        MinisterialConfig.orgCode = orgCode;
    }

    public static String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        MinisterialConfig.orgName = orgName;
    }

    public static String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        MinisterialConfig.password = password;
    }

    public static String getServiceAddress() {
        return serviceAddress;
    }

    public void setServiceAddress(String serviceAddress) {
        MinisterialConfig.serviceAddress = serviceAddress;
    }
}
